This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 222896 - firestarter uses deprecated pam_stack module
firestarter uses deprecated pam_stack module
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firestarter (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Damien Durand
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-16 14:36 EST by Paul Jenner
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-17 01:13:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
simple patch to replace deprecated pam_stack with include (375 bytes, patch)
2007-01-16 14:41 EST, Paul Jenner
no flags Details | Diff

  None (edit)
Description Paul Jenner 2007-01-16 14:36:09 EST
Description of problem:

Firestarter uses deprecated pam_stack module in default pam config.

Running firestarter and authenticating generates error in secure log:

Jan 11 19:46:21 localhost userhelper[4178]: Deprecated pam_stack module called
from service "firestarter"

[root@localhost log]# grep stack /etc/pam.d/firestarter 
auth       required     pam_stack.so service=system-auth

FC5 release notes show pam_stack as deprecated and should be replaced by include
statement:

http://fedora.redhat.com/docs/release-notes/fc5/#id3004442

Version-Release number of selected component (if applicable):
firestarter-1.0.3-14.fc6

Steps to Reproduce:
1. Start firestarter and authenticate
2. View secure log for deprecation warning
Comment 1 Paul Jenner 2007-01-16 14:41:22 EST
Created attachment 145722 [details]
simple patch to replace deprecated pam_stack with include
Comment 2 Paul Jenner 2007-07-17 14:18:04 EDT
Is also fixed in FC7 package by using config-util by include.

Note You need to log in before you can comment on or make changes to this bug.